> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get simulation-measurement pairs for the validation report

> Return simulation-measurement pairs associated with a study.

Joins through study_simulation_mappings → simulations →
validation_simulation_measurements → cell_measurements to produce
a flat list of pairs for the validation report tab.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /projects/{project_id}/studies/{study_id}/validation-pairs
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/studies/{study_id}/validation-pairs:
    get:
      tags:
        - study-validation
      summary: Get simulation-measurement pairs for the validation report
      description: |-
        Return simulation-measurement pairs associated with a study.

        Joins through study_simulation_mappings → simulations →
        validation_simulation_measurements → cell_measurements to produce
        a flat list of pairs for the validation report tab.
      operationId: >-
        get_validation_pairs_projects__project_id__studies__study_id__validation_pairs_get
      parameters:
        - name: study_id
          in: path
          required: true
          schema:
            type: string
            title: Study Id
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ValidationPair'
                title: >-
                  Response Get Validation Pairs Projects  Project Id  Studies 
                  Study Id  Validation Pairs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ValidationPair:
      properties:
        simulation_id:
          type: string
          title: Simulation Id
        measurement_id:
          type: string
          title: Measurement Id
        measurement_name:
          type: string
          title: Measurement Name
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        experiment_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Description
        job_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Status
        job_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Error
      type: object
      required:
        - simulation_id
        - measurement_id
        - measurement_name
      title: ValidationPair
      description: A simulation-measurement pair used for the validation report tab.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````